"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getStackFramesFromError = exports.getInternalFaroFromGlobalObject = exports.getDataFromSafariExtensions = exports.getCurrentTimestamp = exports.genShortID = exports.FetchTransport = exports.ErrorsInstrumentation = exports.defaultLogLevel = exports.defaultInternalLoggerLevel = exports.defaultGlobalObjectKey = exports.defaultEventDomain = exports.defaultExceptionType = exports.deepEqual = exports.createSession = exports.createPromiseBuffer = exports.createInternalLogger = exports.Conventions = exports.ConsoleTransport = exports.ConsoleInstrumentation = exports.buildStackFrame = exports.browserMeta = exports.BaseTransport = exports.BaseInstrumentation = exports.BaseExtension = exports.allLogLevels = exports.faro = exports.reactVersionMajor = exports.reactVersion = exports.isReactVersionAtLeast18 = exports.isReactVersionAtLeast17 = exports.isReactVersionAtLeast16 = exports.isReactVersionAtLeast = exports.getMajorReactVersion = exports.withFaroRouterInstrumentation = exports.setReactRouterV6SSRDependencies = exports.setReactRouterV4V5SSRDependencies = exports.createReactRouterV6DataOptions = exports.createReactRouterV6Options = exports.createReactRouterV5Options = exports.createReactRouterV4Options = exports.ReactRouterVersion = exports.NavigationType = exports.FaroRoutes = exports.FaroRoute = exports.withFaroProfiler = exports.FaroProfiler = exports.ReactIntegration = exports.withFaroErrorBoundary = exports.faroErrorBoundaryInitialState = exports.FaroErrorBoundary = void 0;
exports.userActionDataAttribute = exports.WebVitalsInstrumentation = exports.ViewInstrumentation = exports.VERSION = exports.transportItemTypeToBodyKey = exports.TransportItemType = exports.setInternalFaroOnGlobalObject = exports.parseStacktrace = exports.noop = exports.makeCoreConfig = exports.LogLevel = exports.InternalLoggerLevel = exports.isUndefined = exports.isTypeof = exports.isToString = exports.isThenable = exports.isSyntheticEvent = exports.isSymbol = exports.isString = exports.isRegExp = exports.isPrimitive = exports.isObject = exports.isNumber = exports.isNull = exports.isMapDefined = exports.isMap = exports.isInternalFaroOnGlobalObject = exports.isInt = exports.isInstanceOf = exports.isFunction = exports.isEventDefined = exports.isEvent = exports.isErrorEvent = exports.isErrorDefined = exports.isError = exports.isElementDefined = exports.isElement = exports.isDomException = exports.isDomError = exports.isBoolean = exports.isArray = exports.internalGlobalObjectKey = exports.initializeFaro = exports.globalObject = exports.getWebInstrumentations = exports.getTransportBody = void 0;
var errorBoundary_1 = require("./errorBoundary");
Object.defineProperty(exports, "FaroErrorBoundary", { enumerable: true, get: function () { return errorBoundary_1.FaroErrorBoundary; } });
Object.defineProperty(exports, "faroErrorBoundaryInitialState", { enumerable: true, get: function () { return errorBoundary_1.faroErrorBoundaryInitialState; } });
Object.defineProperty(exports, "withFaroErrorBoundary", { enumerable: true, get: function () { return errorBoundary_1.withFaroErrorBoundary; } });
var instrumentation_1 = require("./instrumentation");
Object.defineProperty(exports, "ReactIntegration", { enumerable: true, get: function () { return instrumentation_1.ReactIntegration; } });
var profiler_1 = require("./profiler");
Object.defineProperty(exports, "FaroProfiler", { enumerable: true, get: function () { return profiler_1.FaroProfiler; } });
Object.defineProperty(exports, "withFaroProfiler", { enumerable: true, get: function () { return profiler_1.withFaroProfiler; } });
var router_1 = require("./router");
Object.defineProperty(exports, "FaroRoute", { enumerable: true, get: function () { return router_1.FaroRoute; } });
Object.defineProperty(exports, "FaroRoutes", { enumerable: true, get: function () { return router_1.FaroRoutes; } });
Object.defineProperty(exports, "NavigationType", { enumerable: true, get: function () { return router_1.NavigationType; } });
Object.defineProperty(exports, "ReactRouterVersion", { enumerable: true, get: function () { return router_1.ReactRouterVersion; } });
Object.defineProperty(exports, "createReactRouterV4Options", { enumerable: true, get: function () { return router_1.createReactRouterV4Options; } });
Object.defineProperty(exports, "createReactRouterV5Options", { enumerable: true, get: function () { return router_1.createReactRouterV5Options; } });
Object.defineProperty(exports, "createReactRouterV6Options", { enumerable: true, get: function () { return router_1.createReactRouterV6Options; } });
Object.defineProperty(exports, "createReactRouterV6DataOptions", { enumerable: true, get: function () { return router_1.createReactRouterV6DataOptions; } });
Object.defineProperty(exports, "setReactRouterV4V5SSRDependencies", { enumerable: true, get: function () { return router_1.setReactRouterV4V5SSRDependencies; } });
Object.defineProperty(exports, "setReactRouterV6SSRDependencies", { enumerable: true, get: function () { return router_1.setReactRouterV6SSRDependencies; } });
Object.defineProperty(exports, "withFaroRouterInstrumentation", { enumerable: true, get: function () { return router_1.withFaroRouterInstrumentation; } });
var utils_1 = require("./utils");
Object.defineProperty(exports, "getMajorReactVersion", { enumerable: true, get: function () { return utils_1.getMajorReactVersion; } });
Object.defineProperty(exports, "isReactVersionAtLeast", { enumerable: true, get: function () { return utils_1.isReactVersionAtLeast; } });
Object.defineProperty(exports, "isReactVersionAtLeast16", { enumerable: true, get: function () { return utils_1.isReactVersionAtLeast16; } });
Object.defineProperty(exports, "isReactVersionAtLeast17", { enumerable: true, get: function () { return utils_1.isReactVersionAtLeast17; } });
Object.defineProperty(exports, "isReactVersionAtLeast18", { enumerable: true, get: function () { return utils_1.isReactVersionAtLeast18; } });
Object.defineProperty(exports, "reactVersion", { enumerable: true, get: function () { return utils_1.reactVersion; } });
Object.defineProperty(exports, "reactVersionMajor", { enumerable: true, get: function () { return utils_1.reactVersionMajor; } });
var faro_web_sdk_1 = require("@grafana/faro-web-sdk");
Object.defineProperty(exports, "faro", { enumerable: true, get: function () { return faro_web_sdk_1.faro; } });
Object.defineProperty(exports, "allLogLevels", { enumerable: true, get: function () { return faro_web_sdk_1.allLogLevels; } });
Object.defineProperty(exports, "BaseExtension", { enumerable: true, get: function () { return faro_web_sdk_1.BaseExtension; } });
Object.defineProperty(exports, "BaseInstrumentation", { enumerable: true, get: function () { return faro_web_sdk_1.BaseInstrumentation; } });
Object.defineProperty(exports, "BaseTransport", { enumerable: true, get: function () { return faro_web_sdk_1.BaseTransport; } });
Object.defineProperty(exports, "browserMeta", { enumerable: true, get: function () { return faro_web_sdk_1.browserMeta; } });
Object.defineProperty(exports, "buildStackFrame", { enumerable: true, get: function () { return faro_web_sdk_1.buildStackFrame; } });
Object.defineProperty(exports, "ConsoleInstrumentation", { enumerable: true, get: function () { return faro_web_sdk_1.ConsoleInstrumentation; } });
Object.defineProperty(exports, "ConsoleTransport", { enumerable: true, get: function () { return faro_web_sdk_1.ConsoleTransport; } });
Object.defineProperty(exports, "Conventions", { enumerable: true, get: function () { return faro_web_sdk_1.Conventions; } });
Object.defineProperty(exports, "createInternalLogger", { enumerable: true, get: function () { return faro_web_sdk_1.createInternalLogger; } });
Object.defineProperty(exports, "createPromiseBuffer", { enumerable: true, get: function () { return faro_web_sdk_1.createPromiseBuffer; } });
Object.defineProperty(exports, "createSession", { enumerable: true, get: function () { return faro_web_sdk_1.createSession; } });
Object.defineProperty(exports, "deepEqual", { enumerable: true, get: function () { return faro_web_sdk_1.deepEqual; } });
Object.defineProperty(exports, "defaultExceptionType", { enumerable: true, get: function () { return faro_web_sdk_1.defaultExceptionType; } });
Object.defineProperty(exports, "defaultEventDomain", { enumerable: true, get: function () { return faro_web_sdk_1.defaultEventDomain; } });
Object.defineProperty(exports, "defaultGlobalObjectKey", { enumerable: true, get: function () { return faro_web_sdk_1.defaultGlobalObjectKey; } });
Object.defineProperty(exports, "defaultInternalLoggerLevel", { enumerable: true, get: function () { return faro_web_sdk_1.defaultInternalLoggerLevel; } });
Object.defineProperty(exports, "defaultLogLevel", { enumerable: true, get: function () { return faro_web_sdk_1.defaultLogLevel; } });
Object.defineProperty(exports, "ErrorsInstrumentation", { enumerable: true, get: function () { return faro_web_sdk_1.ErrorsInstrumentation; } });
Object.defineProperty(exports, "FetchTransport", { enumerable: true, get: function () { return faro_web_sdk_1.FetchTransport; } });
Object.defineProperty(exports, "genShortID", { enumerable: true, get: function () { return faro_web_sdk_1.genShortID; } });
Object.defineProperty(exports, "getCurrentTimestamp", { enumerable: true, get: function () { return faro_web_sdk_1.getCurrentTimestamp; } });
Object.defineProperty(exports, "getDataFromSafariExtensions", { enumerable: true, get: function () { return faro_web_sdk_1.getDataFromSafariExtensions; } });
Object.defineProperty(exports, "getInternalFaroFromGlobalObject", { enumerable: true, get: function () { return faro_web_sdk_1.getInternalFaroFromGlobalObject; } });
Object.defineProperty(exports, "getStackFramesFromError", { enumerable: true, get: function () { return faro_web_sdk_1.getStackFramesFromError; } });
Object.defineProperty(exports, "getTransportBody", { enumerable: true, get: function () { return faro_web_sdk_1.getTransportBody; } });
Object.defineProperty(exports, "getWebInstrumentations", { enumerable: true, get: function () { return faro_web_sdk_1.getWebInstrumentations; } });
Object.defineProperty(exports, "globalObject", { enumerable: true, get: function () { return faro_web_sdk_1.globalObject; } });
Object.defineProperty(exports, "initializeFaro", { enumerable: true, get: function () { return faro_web_sdk_1.initializeFaro; } });
Object.defineProperty(exports, "internalGlobalObjectKey", { enumerable: true, get: function () { return faro_web_sdk_1.internalGlobalObjectKey; } });
Object.defineProperty(exports, "isArray", { enumerable: true, get: function () { return faro_web_sdk_1.isArray; } });
Object.defineProperty(exports, "isBoolean", { enumerable: true, get: function () { return faro_web_sdk_1.isBoolean; } });
Object.defineProperty(exports, "isDomError", { enumerable: true, get: function () { return faro_web_sdk_1.isDomError; } });
Object.defineProperty(exports, "isDomException", { enumerable: true, get: function () { return faro_web_sdk_1.isDomException; } });
Object.defineProperty(exports, "isElement", { enumerable: true, get: function () { return faro_web_sdk_1.isElement; } });
Object.defineProperty(exports, "isElementDefined", { enumerable: true, get: function () { return faro_web_sdk_1.isElementDefined; } });
Object.defineProperty(exports, "isError", { enumerable: true, get: function () { return faro_web_sdk_1.isError; } });
Object.defineProperty(exports, "isErrorDefined", { enumerable: true, get: function () { return faro_web_sdk_1.isErrorDefined; } });
Object.defineProperty(exports, "isErrorEvent", { enumerable: true, get: function () { return faro_web_sdk_1.isErrorEvent; } });
Object.defineProperty(exports, "isEvent", { enumerable: true, get: function () { return faro_web_sdk_1.isEvent; } });
Object.defineProperty(exports, "isEventDefined", { enumerable: true, get: function () { return faro_web_sdk_1.isEventDefined; } });
Object.defineProperty(exports, "isFunction", { enumerable: true, get: function () { return faro_web_sdk_1.isFunction; } });
Object.defineProperty(exports, "isInstanceOf", { enumerable: true, get: function () { return faro_web_sdk_1.isInstanceOf; } });
Object.defineProperty(exports, "isInt", { enumerable: true, get: function () { return faro_web_sdk_1.isInt; } });
Object.defineProperty(exports, "isInternalFaroOnGlobalObject", { enumerable: true, get: function () { return faro_web_sdk_1.isInternalFaroOnGlobalObject; } });
Object.defineProperty(exports, "isMap", { enumerable: true, get: function () { return faro_web_sdk_1.isMap; } });
Object.defineProperty(exports, "isMapDefined", { enumerable: true, get: function () { return faro_web_sdk_1.isMapDefined; } });
Object.defineProperty(exports, "isNull", { enumerable: true, get: function () { return faro_web_sdk_1.isNull; } });
Object.defineProperty(exports, "isNumber", { enumerable: true, get: function () { return faro_web_sdk_1.isNumber; } });
Object.defineProperty(exports, "isObject", { enumerable: true, get: function () { return faro_web_sdk_1.isObject; } });
Object.defineProperty(exports, "isPrimitive", { enumerable: true, get: function () { return faro_web_sdk_1.isPrimitive; } });
Object.defineProperty(exports, "isRegExp", { enumerable: true, get: function () { return faro_web_sdk_1.isRegExp; } });
Object.defineProperty(exports, "isString", { enumerable: true, get: function () { return faro_web_sdk_1.isString; } });
Object.defineProperty(exports, "isSymbol", { enumerable: true, get: function () { return faro_web_sdk_1.isSymbol; } });
Object.defineProperty(exports, "isSyntheticEvent", { enumerable: true, get: function () { return faro_web_sdk_1.isSyntheticEvent; } });
Object.defineProperty(exports, "isThenable", { enumerable: true, get: function () { return faro_web_sdk_1.isThenable; } });
Object.defineProperty(exports, "isToString", { enumerable: true, get: function () { return faro_web_sdk_1.isToString; } });
Object.defineProperty(exports, "isTypeof", { enumerable: true, get: function () { return faro_web_sdk_1.isTypeof; } });
Object.defineProperty(exports, "isUndefined", { enumerable: true, get: function () { return faro_web_sdk_1.isUndefined; } });
Object.defineProperty(exports, "InternalLoggerLevel", { enumerable: true, get: function () { return faro_web_sdk_1.InternalLoggerLevel; } });
Object.defineProperty(exports, "LogLevel", { enumerable: true, get: function () { return faro_web_sdk_1.LogLevel; } });
Object.defineProperty(exports, "makeCoreConfig", { enumerable: true, get: function () { return faro_web_sdk_1.makeCoreConfig; } });
Object.defineProperty(exports, "noop", { enumerable: true, get: function () { return faro_web_sdk_1.noop; } });
Object.defineProperty(exports, "parseStacktrace", { enumerable: true, get: function () { return faro_web_sdk_1.parseStacktrace; } });
Object.defineProperty(exports, "setInternalFaroOnGlobalObject", { enumerable: true, get: function () { return faro_web_sdk_1.setInternalFaroOnGlobalObject; } });
Object.defineProperty(exports, "TransportItemType", { enumerable: true, get: function () { return faro_web_sdk_1.TransportItemType; } });
Object.defineProperty(exports, "transportItemTypeToBodyKey", { enumerable: true, get: function () { return faro_web_sdk_1.transportItemTypeToBodyKey; } });
Object.defineProperty(exports, "VERSION", { enumerable: true, get: function () { return faro_web_sdk_1.VERSION; } });
Object.defineProperty(exports, "ViewInstrumentation", { enumerable: true, get: function () { return faro_web_sdk_1.ViewInstrumentation; } });
Object.defineProperty(exports, "WebVitalsInstrumentation", { enumerable: true, get: function () { return faro_web_sdk_1.WebVitalsInstrumentation; } });
Object.defineProperty(exports, "userActionDataAttribute", { enumerable: true, get: function () { return faro_web_sdk_1.userActionDataAttribute; } });
//# sourceMappingURL=index.js.map