"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.initializeReactRouterInstrumentation = initializeReactRouterInstrumentation;
var dependencies_1 = require("../dependencies");
var types_1 = require("./types");
var v4v5_1 = require("./v4v5");
var v6_1 = require("./v6");
function initializeReactRouterInstrumentation(options) {
    var _a;
    var initMessage = 'Initializing React Router';
    switch ((_a = options.router) === null || _a === void 0 ? void 0 : _a.version) {
        case types_1.ReactRouterVersion.V6:
            dependencies_1.internalLogger.debug("".concat(initMessage, " V6 instrumentation"));
            (0, v6_1.initializeReactRouterV6Instrumentation)(options.router.dependencies);
            break;
        case types_1.ReactRouterVersion.V6_data_router:
            dependencies_1.internalLogger.debug("".concat(initMessage, " V6 data router instrumentation"));
            (0, v6_1.initializeReactRouterV6DataRouterInstrumentation)(options.router.dependencies);
            break;
        case types_1.ReactRouterVersion.V5:
        case types_1.ReactRouterVersion.V4:
            dependencies_1.internalLogger.debug("".concat(initMessage, " ").concat(options.router.version, " instrumentation"));
            (0, v4v5_1.initializeReactRouterV4V5Instrumentation)(options.router.dependencies);
            break;
        default:
            dependencies_1.internalLogger.debug('Skipping initialization of React Router instrumentation');
    }
}
//# sourceMappingURL=initialize.js.map